Project

General

Profile

Feature #623 » 0039-build_appimages.sh-Build-qt-client-AppImage.patch

S3_1 - Marko Lindqvist, 05/16/2024 02:56 AM

View differences:

platforms/appimage/build_appimages.sh
fi
# $1 - Client type
# $2 - Client part of the AppImage name as produced by linuxdeploy
# $2 - Client configuration name
# $3 - Client part of the AppImage name as produced by linuxdeploy
client_appimage() {
if ! mkdir "AppDir/$1" || ! mkdir "build/$1" ; then
echo "Failed to create $1 directories!" >&2
......
cd "build/$1"
if ! meson setup -Dack_experimental=true -Dappimage=true -Dprefix=/usr -Ddefault_library=static \
-Dclients=$1 -Dfcmp=[] -Druledit=false "${SRC_ROOT}"
-Dclients=$2 -Dfcmp=[] -Druledit=false "${SRC_ROOT}"
then
echo "$1 setup with meson failed!" >&2
return 1
......
echo "$1 image build with linuxdeploy failed!" >&2
return 1
fi
if ! mv Freeciv$2-x86_64.AppImage "Freeciv-$1-x86_64.AppImage" ; then
if ! mv Freeciv$3-x86_64.AppImage "Freeciv-$1-x86_64.AppImage" ; then
echo "$1 appimage rename failed!" >&2
return 1
fi
......
exit 1
fi
if ! client_appimage gtk4 "" ||
! client_appimage sdl2 "_(SDL2)"
if ! client_appimage gtk4 gtk4 "" ||
! client_appimage sdl2 sdl2 "_(SDL2)" ||
! client_appimage qt6 qt "_(Qt)"
then
exit 1
fi
(2-2/2)